/* 
 * Freefall Sensor Reporting example
 *
 * Sensor data is read and sent over usb as HID
 *  packets. Run the SteamingPot or hidstream
 *  programs on the PC to receive, visualize,
 *  and store this data.
 */

#include"freefall.h"
#include"usbpack.h"

void main()
{
    long count;

    freefall_init();    // initialize Freefall
	usbpack_init();     // initialize usb packet module

	while (1) // main loop
	{
        count++;

        // read the accelerometer
		packet_out[FREEFALL_AX] = mma7455_read_x();
		packet_out[FREEFALL_AY] = mma7455_read_y();
		packet_out[FREEFALL_AZ] = mma7455_read_z();

        // stagger updates of floating-point measurements for speed
        if (count % 8 == 0) 
		    packet_out[FREEFALL_CDS] = pack_float(cds_percent(),0,100);
        if (count % 8 == 2) 
		    packet_out[FREEFALL_VUSB] = pack_float(pman_vusb(),2,6);
        if (count % 8 == 4) 
            packet_out[FREEFALL_VBATT] = pack_float(pman_vbatt(),2,6);
        if (count % 8 == 6) 
            packet_out[FREEFALL_BTEMP] = pack_float(btemp_C(),10,50);

		usbpack_update();   // communicate with PC
		wdt_reset();        // reset the watchdog timer
	}
}

