/* 
 * Freefall Tilt-Mouse example
 *
 * Tilt the Freefall to move the mouse pointer 
 *  on the PC. Note that the Vendor/Product ID
 *  pair used in this example is taken from a
 *  Logitech mouse. This is for demonstration
 *  use only! Do not publish any hardware using
 *  these IDs.
*/

#include"freefall.h"
#include"usbmouse.h"

int main(void)
{
    uint8_t button = 0;
    uint8_t click_timer = 0;
    int8_t x,y,z;

    freefall_init();
    usbmouse_init();

    while(1) {
	    // get readings from accelerometer
	    y = mma7455_read_x();
	    x = -mma7455_read_y();
	    z = mma7455_read_z();

	    // squelch noise axes
	    if (abs(x) < 5) x = 0;
	    if (abs(y) < 5) y = 0;

	    // shake to click,
	    //  invert to drag
	    button = 0;
	    if (z < 10) button = 1;

	    // set the new mouse state
	    usbmouse_update(x,y,button);

            wdt_reset();
    }
    return 0;
}


