/* Name: hidpack.c
 * Project: hidpack
 * Author: Stingworks
 * Copyright: (c) 2010 Stingworks
 * License: GNU GPL v2 (see License.txt)
 *
 * File History:
 * 	5  SEP 2010 - created
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <sys/time.h>
#include <inttypes.h>
#include "hiddata.h"
#include "usbconfig.h"		/* for device VID, PID, vendor name and product name */
#include "pthread.h"

#define HIDPACK_PACKLEN 8
#define HIDPACK_MAX_DEVICES 32

int hidpack_init();
int hidpack_find_devices(); /* returns number of found devices */
long hidpack_get_serial(int i); /* returns the ith serial found */
int hidpack_connect(long serial);
int hidpack_get(long serial, uint8_t * packet);
int hidpack_put(long serial, const uint8_t * packet);
int hidpack_disconnect(long serial);
int hidpack_shutdown(); /* disconnect all */

/* ------------------------------------------------------------------------- */
